| VTK 9.0.1

Public Member Functions | List of all members
vtkGarbageCollectorManager Class Reference

Manages the vtkGarbageCollector singleton. More...

`#include <vtkGarbageCollectorManager.h>`

## Public Member Functions
| vtkGarbageCollectorManager ()
| ~vtkGarbageCollectorManager ()

## Detailed Description

Manages the vtkGarbageCollector singleton.

vtkGarbageCollectorManager should be included in any translation unit that will use vtkGarbageCollector or that implements the singleton pattern. It makes sure that the vtkGarbageCollector singleton is created before and destroyed after it is used.

Definition at line 34 of file vtkGarbageCollectorManager.h.

## Constructor & Destructor Documentation

## ◆ vtkGarbageCollectorManager()

vtkGarbageCollectorManager::vtkGarbageCollectorManager | ( |  | ) |

## ◆ ~vtkGarbageCollectorManager()

vtkGarbageCollectorManager::~vtkGarbageCollectorManager | ( |  | ) |

The documentation for this class was generated from the following file:

- Common/Core/vtkGarbageCollectorManager.h